Follow https://github.com/airsplay/R2R-EnvDrop to build the environment
Download Room-Across-Room navigation data:

gsutil -m cp -R gs://rxr-data .

save at the directory out of the RxR-multilingual as RxR.

Download image features for environments:
```
mkdir img_features
wget https://www.dropbox.com/s/o57kxh2mn5rkx4o/ResNet-152-imagenet.zip -P img_features/
cd img_features
unzip ResNet-152-imagenet.zip
```

Python requirements: 
```
pip install -r python_requirements.txt
```

Install Matterport3D simulators:
Download newest pybind11 folder from Matterport3D
```
sudo apt-get install libjsoncpp-dev libepoxy-dev libglm-dev libosmesa6 libosmesa6-dev libglew-dev
mkdir build && cd build
cmake -DOSMESA_RENDERING=ON ..
make -j8
```

## Code

### Language Representation Learning:
```
bash run/encoder.bash 0
```
0 is the id of GPU. The learned language representation will be save under snap/encoder/

### Visual Representation Learning:
```
bash run/visual.bash 0
```
0 is the id of GPU. The learned language representation will be save under snap/visual/

Default model is learned over ResNet features. Change to CLIP features by setting --feature_dim 512

### Agent
```
bash run/agent.bash 0
```

Ablate encoder/visual by removing --load_encoder / --load_visual option.

Transfer to R2R by directly adding --dataset R2R
